Home / Lua API Manual / types / dt_lighttable_layout_t
< dt_lib_collect_params_rule_t
dt_lua_align_t >

# dt_lighttable_layout_t

`enum`

The different lighttable layouts

Values:

- DT_LIGHTTABLE_LAYOUT_FIRST
- DT_LIGHTTABLE_LAYOUT_ZOOMABLE
- DT_LIGHTTABLE_LAYOUT_FILEMANAGER
- DT_LIGHTTABLE_LAYOUT_CULLING
- DT_LIGHTTABLE_LAYOUT_CULLING_DYNAMIC
- DT_LIGHTTABLE_LAYOUT_PREVIEW
- DT_LIGHTTABLE_LAYOUT_LAST

< dt_lib_collect_params_rule_t
dt_lua_align_t >